Subject: Re: Network hangs with 2.6.30.5

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 20 Nov 2009 15:04:52 +0300

Hi.

On Thu, Nov 19, 2009 at 03:40:38PM -0800, David Miller ([email-masked]) wrote:
> >> I also looked through all the TCP commits in 2.6.29 to 2.6.30
> >> and I could not find anything else that might cause stalls with
> >> time-wait recycled connections.
> > 
> > What about the more than 64k connections change a9d8f9110d7e953c2f2 (or 
> > its fixes), it might be another possibility? ...It certainly does 
> > something related to reuse and happens to be in the correct time frame... 
> > (I've added Evgeniy).
> 
> So I've been studying this one quite a bit.
> 
> This change could only cause problems in timewait recycling if it:
> 
> 1) Would accept using a bind bucket that previously it would not
> 
> 2) Caused socket corruption due to bad locking
> 
> And I can find neither problem with the Evgeniy's bind changes.
> 
> So we've back to square one I think.

Wasn't solution found for this problem, I recall related discussion
recently, or should I dig deeper into this one?

-- 
	Evgeniy Polyakov